VectorLinux
August 20, 2014, 02:06:48 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: [1]
  Print  
Author Topic: Psi can Gtalk - curently trying to build it  (Read 3240 times)
blurymind
Packager
Vectorian
****
Posts: 1082



« on: June 23, 2007, 07:52:31 am »

hi guys, it seems that the curent version of Psi IM can handle libjingle in a stable manner,making it possible for psi>gtalk voip calls.

Now now,I want to try to build it,and seeing that we have now Qt4 at the repo,i wonder what else i might need before starting up. I have qt4-QSA...at the tutorial it says that i might need qca,which i bet is different.Idk, i will keep you informed.

links
http://psi-im.org/wiki/Build_Instructions_Qt4
http://psi-im.org/wiki/Jingle_branch

Finally gtalk voip for VL if I/we manage to pull this up.  Tongue
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #1 on: June 23, 2007, 11:08:56 am »

i knew it that its not gonna be easy  Roll Eyes
Code:
e_threaded>*, _Alloc = std::allocator<sigslot::_connection_base1<cricket::AsyncSocket*, sigslot::single_threaded>*>]
jinglevoicecaller.cpp: At global scope:
jinglevoicecaller.cpp:135: warning: unused parameter 'response'
make[1]: *** [.obj/jinglevoicecaller.o] Error 1
make[1]: Leaving directory `/home/shadow/downloads/psi/psi/src'
make: *** [sub-src-make_default] Error 2
is what i get. Here is my configure
Code:
./configure-jingle --prefix=/usr --qtdir=/usr/lib/qt4 --enable-jingle
Configuring Psi ...
Verifying Qt 4 build environment ... ok
Checking for Qt >= 4.2.3 ... yes
Checking for bundled QCA 2.0 ... yes
Checking for OpenSSL ... yes
Checking for zlib ... yes
Checking for certstore ... using bundled
Checking for the XScreenSaver extension ... yes
Checking for Aspell support ... yes
Checking for Linux Directory Notification ... yes
Checking for gethostbyname_r() ... yes
Checking for Google File Transfer ... no
Checking for Jingle ...

        !!!!!!!!!!!!!! WARNING !!!!!!!!!!!!!!!
        LIBJINGLE SUPPORT IS STILL EXPERIMENTAL !!!
        USE AT YOUR OWN RISK !!!
 yes
Checking for Plugins ... no

Good, your configure finished.  Now run /usr/bin/gmake.


qmake4
make..

any ideas? I stuck at make...and i still havent managed to install linphone,which is a gnome app...and not sure if this needs it to work. Sad
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #2 on: June 23, 2007, 11:57:23 am »

It looks like you ran qmake4 after running the configure script.
qmake should be used to generate a makefile against the .pro project files, if and only if no other means of creating a makefile is provided.

By running qmake4 after the configure, you are overwriting the Makefile it created.
Delete that directory and start a fresh, then configure the sources, and run make, don't run qmake4 this time. Hopefully that should do it.  Wink
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #3 on: June 23, 2007, 10:46:26 pm »

It looks like you ran qmake4 after running the configure script.
qmake should be used to generate a makefile against the .pro project files, if and only if no other means of creating a makefile is provided.

By running qmake4 after the configure, you are overwriting the Makefile it created.
Delete that directory and start a fresh, then configure the sources, and run make, don't run qmake4 this time. Hopefully that should do it.  Wink
i tried with make only and it didnt work.
I ran qmake4,because this is a qt4 app.

i'll try again today .
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #4 on: June 24, 2007, 12:04:06 am »

same error:
Code:
jinglevoicecaller.cpp: At global scope:
jinglevoicecaller.cpp:135: warning: unused parameter 'response'
make[1]: *** [.obj/jinglevoicecaller.o] Error 1
make[1]: Leaving directory `/home/shadow/downloads/psi/psi/src'
make: *** [sub-src-make_default] Error 2

have anybody else tried to build this thing?
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #5 on: June 24, 2007, 12:51:04 am »

Quote
i tried with make only and it didnt work.
I ran qmake4,because this is a qt4 app.

i'll try again today .

qmake doeasn't actually compile anything, all it does is create a Makefile, which is what the configure scrpt does too.
I can give it a go tomorrow and see what happens Wink
Logged

blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #6 on: June 25, 2007, 05:57:47 am »

Quote
i tried with make only and it didnt work.
I ran qmake4,because this is a qt4 app.

i'll try again today .

qmake doeasn't actually compile anything, all it does is create a Makefile, which is what the configure scrpt does too.
I can give it a go tomorrow and see what happens Wink
thanks for trying. Dont forgeto to add the --enable-jingle  option at configure.

Also i used:
Code:
./configure-jingle --enable-jingle
because ./configure didnt have the enable-jingle option.
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
Pages: [1]
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!